package com.jz.dmp.modules.controller.sys.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;

import com.jz.dmp.modules.model.DmpPermission;

public class MyDmpPermissionConverter {
	
	private static MyDmpPermissionConverter instance;
	
	private MyDmpPermissionConverter() {};
	
	public synchronized static MyDmpPermissionConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpPermissionConverter();
		}
		
		return instance;
	}
	
	public DmpPermissionDto domain2dto(DmpPermission dmpPermission) {
		DmpPermissionDto dmpPermissionDto = new DmpPermissionDto();
		BeanUtils.copyProperties(dmpPermission, dmpPermissionDto);
		
		return dmpPermissionDto;
	}
	
	public List<DmpPermissionDto> domain2dto(List<DmpPermission> dmpPermissions) {
		List<DmpPermissionDto> dmpPermissionDtos = new ArrayList<DmpPermissionDto>();
		dmpPermissions.stream().forEach(x -> {
			dmpPermissionDtos.add(domain2dto(x));
		});
		
		return dmpPermissionDtos;
	}
	
	public DmpPermission dto2domain(DmpPermissionDto dmpPermissionDto) {
		DmpPermission dmpPermission = new DmpPermission();
		BeanUtils.copyProperties(dmpPermissionDto, dmpPermission);
		
		return dmpPermission;
	}
	
	public List<DmpPermission> dto2domain(List<DmpPermissionDto> dmpPermissionDtos) {
		List<DmpPermission> dmpPermissions = new ArrayList<DmpPermission>();
		dmpPermissionDtos.stream().forEach(x -> {
			dmpPermissions.add(domain2dto(x));
		});
		
		return dmpPermissions;
	}

}
